﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Interactivity;
using Telerik.Windows.Controls;

namespace MetroWindow.Interactivity
{
    class BehaviorMetroTitleBar : Behavior<Canvas>
    {
        protected override void OnAttached()
        {
            base.OnAttached();

            this.AssociatedObject.MouseMove += (sender, e) =>
            {
                var window = Window.GetWindow(this.AssociatedObject);
                var mousePosition = e.GetPosition(window);

                if (mousePosition.Y == 0)
                    this.AssociatedObject.Tag = true;
            };
        }
    }
}
